Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.emf.ecp.makeithappen.model.task
Enum Nationality

    java.lang.Object
      java.lang.Enum<Nationality>
          org.eclipse.emf.ecp.makeithappen.model.task.Nationality

All Implemented Interfaces:
  Serializable, Comparable<Nationality>, org.eclipse.emf.common.util.Enumerator

    public enum Nationality

extends Enum<Nationality>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Nationality', and utility methods for working with them.

See Also:
  `TaskPackage.getNationality()`

Enum Constant Summary
`FRENCH` The 'French' literal object.
`GERMAN` The 'German' literal object.
`ITALIAN` The 'Italian' literal object.
`RUSSIAN` The 'Russian' literal object.
`SPANISH` The 'Spanish' literal object.
`UK` The 'UK' literal object.
`US` The 'US' literal object.

Field Summary
`static int` | `FRENCH_VALUE` The 'French' literal value.
`static int` | `GERMAN_VALUE` The 'German' literal value.
`static int` | `ITALIAN_VALUE` The 'Italian' literal value.
`static int` | `RUSSIAN_VALUE` The 'Russian' literal value.
`static int` | `SPANISH_VALUE` The 'Spanish' literal value.
`static int` | `UK_VALUE` The 'UK' literal value.
`static int` | `US_VALUE` The 'US' literal value.
`static List<Nationality>` | `VALUES` A public read-only list of all the 'Nationality' enumerators.

Method Summary
`static Nationality` | `get(int value)` Returns the 'Nationality' literal with the specified integer value.
`static Nationality` | `get(String literal)` Returns the 'Nationality' literal with the specified literal value.
`static Nationality` | `getByName(String name)` Returns the 'Nationality' literal with the specified name.
`String` | `getLiteral()`
`String` | `getName()`
`int` | `getValue()`
`String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
`static Nationality` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Nationality[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GERMAN

    public static final Nationality GERMAN

  The 'German' literal object.

  See Also:
    `GERMAN_VALUE`

### FRENCH

    public static final Nationality FRENCH

  The 'French' literal object.

  See Also:
    `FRENCH_VALUE`

### UK

    public static final Nationality UK

  The 'UK' literal object.

  See Also:
    `UK_VALUE`

### US

    public static final Nationality US

  The 'US' literal object.

  See Also:
    `US_VALUE`

### SPANISH

    public static final Nationality SPANISH

  The 'Spanish' literal object.

  See Also:
    `SPANISH_VALUE`

### ITALIAN

    public static final Nationality ITALIAN

  The 'Italian' literal object.

  See Also:
    `ITALIAN_VALUE`

### RUSSIAN

    public static final Nationality RUSSIAN

  The 'Russian' literal object.

  See Also:
    `RUSSIAN_VALUE`

Field Detail

### GERMAN_VALUE

    public static final int GERMAN_VALUE

  The 'German' literal value.

  If the meaning of 'German' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GERMAN`, Constant Field Values

### FRENCH_VALUE

    public static final int FRENCH_VALUE

  The 'French' literal value.

  If the meaning of 'French' literal object isn't clear, there really should be more of a description here...

  See Also:
    `FRENCH`, Constant Field Values

### UK_VALUE

    public static final int UK_VALUE

  The 'UK' literal value.

  If the meaning of 'UK' literal object isn't clear, there really should be more of a description here...

  See Also:
    `UK`, Constant Field Values

### US_VALUE

    public static final int US_VALUE

  The 'US' literal value.

  If the meaning of 'US' literal object isn't clear, there really should be more of a description here...

  See Also:
    `US`, Constant Field Values

### SPANISH_VALUE

    public static final int SPANISH_VALUE

  The 'Spanish' literal value.

  If the meaning of 'Spanish' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SPANISH`, Constant Field Values

### ITALIAN_VALUE

    public static final int ITALIAN_VALUE

  The 'Italian' literal value.

  If the meaning of 'Italian' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ITALIAN`, Constant Field Values

### RUSSIAN_VALUE

    public static final int RUSSIAN_VALUE

  The 'Russian' literal value.

  If the meaning of 'Russian' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RUSSIAN`, Constant Field Values

### VALUES

    public static final List<Nationality> VALUES

  A public read-only list of all the 'Nationality' enumerators.

Method Detail

### values

    public static Nationality[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Nationality c : Nationality.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Nationality valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### get

    public static Nationality get(String literal)

  Returns the 'Nationality' literal with the specified literal value.

### getByName

    public static Nationality getByName(String name)

  Returns the 'Nationality' literal with the specified name.

### get

    public static Nationality get(int value)

  Returns the 'Nationality' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `Enum<Nationality>`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2015. All Rights Reserved.